| IDA SDK

Public Member Functions | List of all members
std_moddata_diff_helper_t< MOD_T > Struct Template Reference

## Detailed Description

template<class MOD_T>
struct std_moddata_diff_helper_t< MOD_T >

Module data diff helper with default implementation of merge_ending() method: it calls load_from_idb() (should be provided by MOD_T) for module data structure.

Inherits moddata_diff_helper_t.

## Public Member Functions
| std_moddata_diff_helper_t (const char *mod_name, const char *node_name, const idbattr_info_t *_fields, size_t _nfields)
virtual void | merge_ending (diff_source_idx_t, void *module_data) override
Public Member Functions inherited from moddata_diff_helper_t
| moddata_diff_helper_t (const char *_module_name, const char *_netnode_name, const idbattr_info_t *_fields, size_t _nfields)
virtual void | merge_starting (diff_source_idx_t, void *)
virtual void | merge_ending (diff_source_idx_t, void *)
virtual void * | get_struc_ptr (merge_data_t &, diff_source_idx_t, const idbattr_info_t &)
virtual void | print_diffpos_details (qstrvec_t *, const idbattr_info_t &)
virtual bool | val2str (qstring *, const idbattr_info_t &, uint64)
virtual bool | str2val (uint64 *, const idbattr_info_t &, const char *)

## Additional Inherited Members
Public Attributes inherited from moddata_diff_helper_t
const char * | module_name = nullptr
| will be used as a prefix for field desc
const char * | netnode_name = nullptr
| name of netnode with module data attributes
const idbattr_info_t * | fields = nullptr
| module data attribute descriptions
size_t | nfields = 0
| number of descriptions
uint32 | additional_mh_flags = MH_UI_NODETAILS
| additional merge handler flags

## Member Function Documentation

## ◆ merge_ending()

template<class MOD_T >

virtual void std_moddata_diff_helper_t< MOD_T >::merge_ending | ( | diff_source_idx_t | ,
|  | void * | module_data
| ) |  |
| inline override virtual

Reimplemented from moddata_diff_helper_t.

The documentation for this struct was generated from the following file:

- mergemod.hpp